#include <avr\io.h>
#define F_CPU 16000000
#include <util/delay.h>

#define TO_LED_7 (1 << PA7)
#define TO_LED_6 (1 << PA6)
#define TO_LED_5 (1 << PA5)
#define TO_LED_4 (1 << PA4)
#define TO_LED_3 (1 << PA3)
#define TO_LED_2 (1 << PA2)

#define TO_LED_H4 ( 1 << PC0)
#define TO_LED_H3 ( 1 << PC1)
#define TO_LED_H2 ( 1 << PC2)
#define TO_LED_H1 ( 1 << PC3)
#define TO_LED_H0 ( 1 << PC4)

#define _SWOFF (PORTC &= ~(1 << PC0) | ~(1 << PC1))




void display () {
	
	PORTA = PORTC = 0;
	PORTA &= ~( TO_LED_7 | TO_LED_6 | TO_LED_5 | TO_LED_4 | TO_LED_3 | TO_LED_2 );
}

void set_h(int h) {
	PORTC = 0;
	int i;
	
	for (i = 0; i < 5; i++) {
		if (i == 0)
		{
			if ( h % 2 == 1) {
				PORTC |= TO_LED_H0;
				h = h / 2;
			}
			if ( h / 2 == 0)
				break; 
		}		
		if (i == 1)
		{
			if ( h % 2 == 1) {
				PORTC |= TO_LED_H1;
				h =  h / 2;
			}
			if ( h / 2 == 0)
				break; 
		}
		if (i == 2)
		{ 
			if ( h % 2 == 1) {
				PORTC |= TO_LED_H2;
				h = h / 2;
			}
			if ( h / 2 == 0)
				break; 
		}
		if (i == 3)
		{ 
			if ( h % 2 == 1) {
				PORTC |= TO_LED_H3;
				h = h / 2;
			}
			if ( h / 2 == 0)
				break; 
		}
		if (i == 4)
		{
			if ( h % 2 == 1) {
				PORTC |= TO_LED_H4;
				h = h / 2;
			}
			if ( h / 2 == 0)
				break; 
		}
	}
	
}

int main() {


	DDRC |= 0xFF;
	
	DDRA |= 0xFF;
	int i;
	
	set_h(7);
	
	
	
	
}